import { Matched, Router } from '@oinone/kunlun-router';
import { BaseElementWidget } from '../../basic';
export declare class CompanySettingWidget extends BaseElementWidget {
    initialize(props: any): this;
    private http;
    private companySetting;
    protected $matched: Matched | undefined;
    protected $router: Router | undefined;
    private goBack;
    private onSaveCompanySetting;
    private queryCompanySetting;
    protected beforeCreated(): Promise<void>;
    protected $$beforeMount(): void;
}
